; general project settings
[project]
; project name
name=or_playground
; class Name which shall be used to build collections (must be part of __init__ in bin)
collection_class=IIIFCollection
; class Name which shall be used to build manifests (must be part of __init__ in bin)
manifest_class=IIIFManifest


; hosts urls: must finish with a "/"
[hosts]
; IIIF Image Server Host
imageserver_host = https://ub-sipi.ub.unibas.ch/
; Host where see also files are available
seealso_host = https://www.ub.unibas.ch/digi/a125/private/dizas/test/
; Elasticsearch-Host for metadata and fulltext search
es_host = localhost:9200

; name of ES indices
[index]
; index providing metadata to build manifests and collections
index_manifest = or_playground
; index providing data for fulltext-search
index_fulltext =

; obligatory fields which have to be mapped using IIIF Presentation API (building manifests/collections)
[mapping_manifest]
; field which is used for identifying manifests
manifest_id=pers_name
; field which is used to label a manifest 1:1 relation with manifest_id
manifest_label= pers_name
; field from which canvas ids are built
page_id=iiif
; field where pagewidth is stored
pagewidth=width
; field where pageheight is stored
pageheight=height

; obligatory fields which have to be mapped using IIIF Search API
[mapping_fulltext]
; name of field where fulltext is stored, used for querying
fulltext=
; name of field where words and coordinates are stored, used for extracting coordinates
textcoords=
; name of field which contains the manifest_id to limit search to some manifests
manifest=

; how collections shall be built
[collection]
; fields which are used for aggregating values, each field creates a new level, fields are separated using "/"
collection_structure =  pers_name
; fields which are used to sort the collections in the correct order, multiple fields are separated using ","
collection_sort= pers_name

; how manifests shall be built
[manifest]
; fields which are used for building internal manifest structure, each field creates a new level, fields are separated using "/"
manifest_structure = date
; how many pages shall be in a manifest, if multiple manifests are combined to one
page_limit = 150
; fields which are used to sort the pages in the correct order within a manifest, multiple fields are separated using ","
manifest_sort= date